Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class RemoteServer

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer

All Implemented Interfaces:
  Remote, Serializable

Direct Known Subclasses:
  Activatable, UnicastRemoteObject

public abstract class RemoteServer
extends RemoteObject

The `RemoteServer` class is the common superclass to server implementations and provides the framework to support a wide range of remote reference semantics. Specifically, the functions needed to create and export remote objects (i.e. to make them remotely available) are provided abstractly by `RemoteServer` and concretely by its subclass(es).

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`protected` | `RemoteServer()` Constructs a `RemoteServer`.
`protected` | `RemoteServer(RemoteRef ref)` Constructs a `RemoteServer` with the given reference type.

Method Summary
`static String` | `getClientHost()` Returns a string representation of the client host for the remote method invocation being processed in the current thread.
`static PrintStream` | `getLog()` Returns stream for the RMI call log.
`static void` | `setLog(OutputStream out)` Log RMI calls to the output stream out.

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteServer

    protected RemoteServer()

  Constructs a `RemoteServer`.

Since:
  JDK1.1

### RemoteServer

    protected RemoteServer(RemoteRef ref)

  Constructs a `RemoteServer` with the given reference type.

Parameters:
  `ref` - the remote reference
Since:
  JDK1.1

Method Detail

### getClientHost

    public static String getClientHost()
                                throws ServerNotActiveException

  Returns a string representation of the client host for the remote method invocation being processed in the current thread.

  Returns:
    a string representation of the client host
  Throws:
    `ServerNotActiveException` - if no remote method invocation is being processed in the current thread
  Since:
    JDK1.1

### setLog

    public static void setLog(OutputStream out)

  Log RMI calls to the output stream out. If out is null, call logging is turned off.

  Parameters:
    `out` - the output stream to which RMI calls should be logged
  Since:
    JDK1.1

### getLog

    public static PrintStream getLog()

  Returns stream for the RMI call log.

  Returns:
    the call log
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.